Subject: Re: bug#20316: 24.5; `string-lessp' doesn't respect value of LC_COLLATE

From: Michael Albinus <[email-masked]>
Date: Mon, 13 Apr 2015 08:53:41 +0200

Alexis <[email-masked]> writes:

> In this specific case, a user of a package i maintain was surprised
> when `org-sort' didn't sort their Croatian-language Org entries
> properly. Under the hood, `org-sort' uses `string-lessp'.

This shall be customizable.

> Is the
> bottom line that they'll have to wait until at least 25.1 before Org
> could add conditional code to use `string-collate-lessp', to at least
> DTRT for users of >25.0?

`string-collate-lessp' is a new function in Emacs 25. Yes, you have to wait.

> Alexis.

Best regards, Michael.